API Docs / Operations / Client - Contacts / Create Contact for Client

Create Contact for Client

POST /tenants/{tenant}/clients/{client}/clientcontact

Creates a client-contact relationship. If Contact.Code is provided and matches an existing contact, that contact will be linked to this client. If Contact.Code is not provided (or empty), a new Contact will be created using the provided contact details (FirstName, LastName, Email, etc.) and then linked to this client.

Parameters

NameTypeDescription
tenant* path string

The Tenant.Code

The Tenant.Code

client* path string
{
  "role": "string",
  "types": [
    "Main"
  ],
  "contact": {
    "code": "string",
    "title": "string",
    "firstName": "string",
    "middleName": "string",
    "lastName": "string"
  }
}

Responses

201 Created
400 Bad Request
401 Unauthorized - Invalid or missing API key
403 Forbidden
404 Not Found